<?php
 
defined ( '_JEXEC' ) or die ( 'Restricted access' );

// addon for joomla modal Box
JHTML::_ ( 'behavior.modal' );
JHTML::_('behavior.tooltip');

$lang		=	JFactory::getLanguage();
$document	=	JFactory::getDocument();
$app		=	JFactory::getApplication('site');

$template	=	$app->getTemplate(true);
$template	=	$template->template;

require_once	(JPATH_BASE."/templates/".$template."/html/com_virtuemart/_assets/levThemeParameter.php");

$filename	=	"lev_flypage.css";
$path		=	'templates/'.$template.'/html/com_virtuemart/_css/custom/';

$templateStyle	=	$levThemeParameter["vmThemeStyle"];
$templatePath	=	'templates/'.$template.'/html/com_virtuemart/_css/template_style/';

$document->addStyleSheet($path.$filename);
$document->addStyleSheet($templatePath.$templateStyle);

$document->addScript('templates/'.$template.'/html/com_virtuemart/_js/levent_modalgallery.js');


$document->addScriptDeclaration("
	jQuery(document).ready(function($) {
		$(function() {
			$('#levent_flypage_tabs').tabs();
		});
		
		var tabs = $('#levent_flypage_tabs').tabs();
		var	tabSize	=	( tabs.children().size() - 2 );
		
		$('a#ask-price-link').click(function() {
		    tabs.tabs('select', tabSize);

			$('html, body').animate({
				scrollTop: $('#levent_flypage_tabs').offset().top
			}, 1000);		    
		    
		    return false;
		});
	});
");

//::>	IMAGEZOOM ACTIVE OR NOT?
if( $levThemeParameter["imageZoomOnFlypage"] == 1 ) :
	//$leventImageTag		=	$this->product->images[0]->displayMediaThumb('class="product-image"',true,'class="modal"',true,true); //'class="modal"'
	$leventImageTag		=	$this->product->images[0]->displayMediaFull('class="product-image-zoom"',false,"class='modal'",true);
	else :
		//$leventImageTag		=	$this->product->images[0]->displayMediaThumb('class="product-image"', false, 'class="modal"',true,true); //'class="modal"'
		$leventImageTag		=	$this->product->images[0]->displayMediaFull('class="product-image"',false,"class='modal'",true);
endif;

//::>	PRODUCT IS FILLED?
if (empty ( $this->product )) :
	echo JText::_ ( 'COM_VIRTUEMART_PRODUCT_NOT_FOUND' );
	echo '<br /><br />  ' . $this->continue_link_html;
	return;
endif;
?>

<div id="levent_VM_wrap">
	<div class="levent_VM_wrap_inner">
		<!--	PRODUCT TITLE	//-->
		<div class="levent_flypage_title">
			<h1><?php echo $this->product->product_name ?></h1>

			<?php
			//::>	Show the NEW-ribbon or not?
			if( $levThemeParameter["showNEWbutton"] == 1 )	:
				$displayDuration	=	intval( $levThemeParameter["showNEWbuttonPeriodDays"] ) * 24 * 60 * 60;
				$productDate		=	strtotime($this->product->product_available_date);
				$actualTime			=	time();
				
				if( ($actualTime - $productDate) < $displayDuration )	:	?>
					<div class="levent-flypage-ribbon"></div>
				<?php endif;
			endif;
			?>
		</div>
		
		<!--	FLYPAGE CONTENT	//-->
		<div class="levent_flypage_wrap">
			<?php	//::>	PRODUCT NAVIGATION	?>
			<?php if( VmConfig::get ( 'product_navigation', 1) )	:	?>
				<div class="product-neighbours">
					<?php
					if( ! empty ( $this->product->neighbours ['previous'][0]) )	: 
						$prev_link = JRoute::_ ( 'index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['previous'][0]['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id );
						?>
						<div class="levent_flypage_prevLink">
							<div class="levent_flypage_prev"></div>
								<?php echo JHTML::_ ( 'link', $prev_link, $this->product->neighbours ['previous'][0]['product_name'], array ('class' => 'previous-page' ) ); ?>
							</div>
					<?php endif;
					
					if( !empty ( $this->product->neighbours ['next'][0]) )	:
						$next_link = JRoute::_ ( 'index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['next'][0]['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id );
						?>
						<div class="levent_flypage_nextLink">
							<?php echo JHTML::_ ( 'link', $next_link, $this->product->neighbours ['next'][0]['product_name'], array ('class' => 'next-page' ) ); ?>
							<div class="levent_flypage_next"></div>
						</div>
					<?php endif; ?>
					<div class="lev_clear"></div>
				</div>
			<?php endif; ?>
		
			<!--	PRODUCT IMAGES	//-->
			<div class="levent_flypage_imagebox">
				<div class="levent_flypage_mainimage">
					<?php // Product Main Image
					if( !empty($this->product->images[0]) )	:	?>
						<div class="main-image" id="levent_imageGallery_Box">
							<?php echo	$leventImageTag; ?>
						</div>
					<?php endif; ?>
					
					<?php	//::>	SHOW PRODUCT GALLERY	?>
					<?php if( !empty($this->product->images) && count($this->product->images) > 1 )	:	?>
						<div class="additional-images">
							<?php foreach( $this->product->images as $image )	:
								$title	=	$image->file_title;
								$url	=	$image->file_url; ?>
								<div class="levent_flypage_thumbnail_box">
									<a class="modal levent_flypage_thumbnail_link" href="<?php echo JURI::base().'/'.$url; ?>">
										<?php echo $image->displayMediaFull('class="product-gallery-image"',false,"class='modal'",true); ?>
										<div id="imageGalleryTitle"><?php echo $title; ?></div>
									</a>
								</div>
							<?php endforeach; ?>
							
							<div class="lev_clear"></div>
						</div>
					<?php endif; ?>			
				</div>
			</div>
			
			<!--	PRODUCT INFO	//-->
			<div class="levent_flypage_contentbox">
				<?php	//::>	EDIT PRODUCT
				echo $this->edit_link;
				?>
				
				<?php	//::>	PDF, Print, Email	?>
			    <?php if( VmConfig::get('show_emailfriend') || VmConfig::get('show_printicon') || VmConfig::get('pdf_button_enable') )	:	?>
					 <div class="icons">
					    <?php
					    $link = 'index.php?tmpl=component&option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->virtuemart_product_id;
					    $MailLink = 'index.php?option=com_virtuemart&view=productdetails&task=recommend&virtuemart_product_id=' . $this->product->virtuemart_product_id . '&virtuemart_category_id=' . $this->product->virtuemart_category_id . '&tmpl=component';
				
					    if( VmConfig::get('pdf_icon', 1) == '1' )	:
							echo $this->linkIcon($link . '&format=pdf', 'COM_VIRTUEMART_PDF', 'pdf_button', 'pdf_button_enable', false);
						endif;
					    echo $this->linkIcon($link . '&print=1', 'COM_VIRTUEMART_PRINT', 'printButton', 'show_printicon');
					    echo $this->linkIcon($MailLink, 'COM_VIRTUEMART_EMAIL', 'emailButton', 'show_emailfriend');
					    ?>
				    	<div class="lev_clear"></div>
			        </div>
				<?php endif; ?>

				<?php if( $this->showRating )	:
					$maxrating = VmConfig::get('vm_maximum_rating_scale',5);
					?>
					
					<?php if( empty($this->rating) )	:	?>
						<div class="levent_flypage_rating">
							<?php echo JText::_('COM_VIRTUEMART_RATING').' '.JText::_('COM_VIRTUEMART_UNRATED') ?>
						</div>
						<?php else : ?>
							<div class="levent_flypage_rating">
								<span class="levent_flypage_rating_label"><?php echo JText::_('COM_VIRTUEMART_RATING'); ?></span>
								<span class="levent_flypage_rating_stars-<?php echo round($this->rating->rating, 2); ?>"></span>
								
								<div class="lev_clear"></div>
							</div>
					<?php endif; ?>
					
					<div class="lev_clear"></div>
				<?php endif; ?>

				<?php if ( $levThemeParameter['showSkuOnFlypage'] == 1 ) : ?>
					<div class="levent_vm_flypage_sku">
						<?php echo JText::_ ( 'COM_VIRTUEMART_CART_SKU' ).": ".$this->product->product_sku; ?>
					</div>
				<?php endif; ?>

				<?php	//::>	PRODUCT PRICE	?>
				<?php if( $this->show_prices )	: ?>
					<div class="product-price" id="productPrice<?php echo $this->product->virtuemart_product_id ?>">
						<?php if( $this->product->product_unit && VmConfig::get ( 'price_show_packaging_pricelabel' ) == 1 )	:	?>
							<strong><?php echo JText::_ ( 'COM_VIRTUEMART_CART_PRICE_PER_UNIT' ); ?> (<?php echo $this->product->product_unit; ?>):</strong>
							<?php elseif( VmConfig::get( 'showFlypagePriceLabel', 0) == 1 )	:
								echo	'<span class="levent_vm_flypage_pricelbl">' . JText::_ ( 'COM_VIRTUEMART_CART_PRICE' ) . '</span>';
						endif;
						
						if( empty($this->product->prices) and VmConfig::get('askprice',1) )	:	?>
							<a id="ask-price-link">
								<?php echo JText::_('COM_VIRTUEMART_PRODUCT_ASKPRICE') ?>
							</a>
						<?php endif;
		
						if( $this->showBasePrice )	{
							echo $this->currency->createPriceDiv('basePrice','COM_VIRTUEMART_PRODUCT_BASEPRICE',$this->product->prices);
							echo $this->currency->createPriceDiv('basePriceVariant','COM_VIRTUEMART_PRODUCT_BASEPRICE_VARIANT',$this->product->prices);
						}
						echo $this->currency->createPriceDiv('salesPrice','COM_VIRTUEMART_PRODUCT_SALESPRICE',$this->product->prices);
						?>
						<div class="lev_clear"></div>
						<?php
						if( $this->product->prices["basePriceWithTax"] != $this->product->prices["salesPrice"] )	:
							echo $this->currency->createPriceDiv('basePriceWithTax','COM_VIRTUEMART_PRODUCT_BASEPRICE_WITHTAX',$this->product->prices);
						endif;
						
						if( $this->product->prices["discountAmount"] > 0 )	:
							echo $this->currency->createPriceDiv('discountAmount','COM_VIRTUEMART_PRODUCT_DISCOUNT_AMOUNT',$this->product->prices);
						endif;
						?>
						<div class="lev_clear"></div>
						<?php																											
						echo $this->currency->createPriceDiv('variantModification','COM_VIRTUEMART_PRODUCT_VARIANT_MOD',$this->product->prices);
						echo $this->currency->createPriceDiv('discountedPriceWithoutTax','COM_VIRTUEMART_PRODUCT_DISCOUNTED_PRICE',$this->product->prices);
						echo $this->currency->createPriceDiv('salesPriceWithDiscount','COM_VIRTUEMART_PRODUCT_SALESPRICE_WITH_DISCOUNT',$this->product->prices);
						echo $this->currency->createPriceDiv('priceWithoutTax','COM_VIRTUEMART_PRODUCT_SALESPRICE_WITHOUT_TAX',$this->product->prices);
						echo $this->currency->createPriceDiv('taxAmount','COM_VIRTUEMART_PRODUCT_TAX_AMOUNT',$this->product->prices);
						?>
					</div>
				<?php endif; ?>

				<?php if( $levThemeParameter["showShippingCostHintOnFlypage"] == 1 && trim($levThemeParameter["shippingCostLink"]) != "")	:	?>
					<div class="levent_flypage_shippingCost">
						<a href="<?php echo $levThemeParameter["shippingCostLink"]; ?>">
							<?php echo $levThemeParameter["shippingCostLabel"]; ?>
						</a>
					</div>
				<?php endif; ?>
		
				<?php	//::>	MANUFACTURER
				if(VmConfig::get('show_manufacturers', 1) && !empty($this->product->virtuemart_manufacturer_id)) { ?>
					<div class="manufacturer">
						<?php
							$link = JRoute::_('index.php?option=com_virtuemart&view=manufacturer&virtuemart_manufacturer_id='.$this->product->virtuemart_manufacturer_id.'&tmpl=component');
							$text = $this->product->mf_name;
		
							/* Avoid JavaScript on PDF Output */
							if (strtolower(JRequest::getWord('output')) == "pdf"){
								echo JHTML::_('link', $link, $text);
							} else { ?>
								<span class="bold"><?php echo JText::_('COM_VIRTUEMART_PRODUCT_DETAILS_MANUFACTURER_LBL') ?></span><a class="modal" rel="{handler: 'iframe', size: {x: 700, y: 550}}" href="<?php echo $link ?>"><?php echo $text ?></a>
						<?php } ?>
					</div>
					<?php
				}
				?>
				
				<?php	//::>	SHORT DESCRIPTION
				if (!empty($this->product->product_s_desc)) { ?>
					<div class="product-short-description">
						<?php
						echo $this->product->product_s_desc;
						?>
					</div>
					<?php
				}
				?>
				
				<div class="spacer-buy-area">
					<?php //::>	ADD TO CART
					if (!VmConfig::get('use_as_catalog',0)) { ?>
						<div class="addtocart-area">
							<form method="post" class="product js-recalculate" action="index.php" id="addtocartproduct<?php echo $this->product->virtuemart_product_id ?>">
								<?php // Product custom_fields
								if (!empty($this->product->customfieldsCart)) {  ?>
									<div class="product-fields">
										<?php foreach ($this->product->customfieldsCart as $field)	{ ?>
											<div style="display:inline-block;" class="product-field product-field-type-<?php echo $field->field_type ?>">
												<span class="product-fields-title" ><b><?php echo  JText::_($field->custom_title) ?></b></span>
												<?php if ($field->custom_tip) echo JHTML::tooltip($field->custom_tip,  JText::_($field->custom_title), 'tooltip.png'); ?>
												<span class="product-field-display"><?php echo $field->display ?></span>
												<span class="product-field-desc"><?php echo $field->custom_field_desc ?></span>
											</div>
											<?php
										}
										?>
									</div>
									<?php
								}

								//::>	PRODUCT CUSTOM CHILDS

								if (!empty($this->product->customsChilds)) {  ?>
									<div class="product-fields">
										<?php foreach ($this->product->customsChilds as $field) {  ?>
											<div style="display:inline-block;" class="product-field product-field-type-<?php echo $field->field->field_type ?>">
											<span class="product-fields-title" ><b><?php echo JText::_($field->field->custom_title) ?></b></span>
											<span class="product-field-desc"><?php echo JText::_($field->field->custom_value) ?></span>
											<span class="product-field-display"><?php echo $field->display ?></span>
			
											</div><br />
											<?php
										} ?>
									</div>
									<?php
								} ?>
		
								<div class="addtocart-bar">
									<div class="levent_flypage_contentbox_quantity">
										<label for="quantity<?php echo $this->product->virtuemart_product_id;?>" class="quantity_box"><?php echo JText::_('COM_VIRTUEMART_CART_QUANTITY'); ?>: </label>
										
										<input type="text" class="quantity-input" name="quantity[]" value="<?php if(isset($this->product->min_order_level) && (int) $this->product->min_order_level > 0){echo $this->product->min_order_level;} else{ echo '1'; } ?>" />
										
										<span class="quantity-controls">
											<input type="button" class="quantity-controls quantity-plus" />
											<input type="button" class="quantity-controls quantity-minus" />
										</span>
										
										<div class="lev_clear"></div>
									</div>
			
									<?php // Add the button
									$button_lbl = JText::_('COM_VIRTUEMART_CART_ADD_TO');
									$button_cls = ''; //$button_cls = 'addtocart_button';
									if (VmConfig::get('check_stock') == '1' && !$this->product->product_in_stock) {
										$button_lbl = JText::_('COM_VIRTUEMART_CART_NOTIFY');
										$button_cls = 'notify-button';
									} ?>
			
									<?php // Display the add to cart button ?>
									<span class="addtocart-button">
										<input type="submit" name="addtocart"  class="addtocart-button" value="<?php echo $button_lbl ?>" title="<?php echo $button_lbl ?>" />
									</span>
			
									<div class="lev_clear"></div>
								</div>
		
								<?php // Display the add to cart button END ?>
								<input type="hidden" class="pname" value="<?php echo $this->product->product_name ?>">
								<input type="hidden" name="option" value="com_virtuemart" />
								<input type="hidden" name="view" value="cart" />
								<noscript><input type="hidden" name="task" value="add" /></noscript>
								<input type="hidden" name="virtuemart_product_id[]" value="<?php echo $this->product->virtuemart_product_id ?>" />
								<?php /** @todo Handle the manufacturer view */ ?>
								<input type="hidden" name="virtuemart_manufacturer_id" value="<?php echo $this->product->virtuemart_manufacturer_id ?>" />
								<input type="hidden" name="virtuemart_category_id[]" value="<?php echo $this->product->virtuemart_category_id ?>" />
							</form>
		
							<div class="lev_clear"></div>
						</div>
						<?php
					}
					?>
				</div>
					
				<div class="lev_clear"></div>
			</div>
			
			<div class="lev_clear"></div>	
		
			<div class="levent_flypage_bottom_area">
				<?php
				//::>	AVAILABILITY
				if( !empty($this->product->product_availability) )	:
					$stockhandle	=	VmConfig::get('stockhandle', 'none');
					
					if( $stockhandle == 'risetime' and ($this->product->product_in_stock - $this->product->product_ordered) < 1 )	:	?>
						<div class="levent_flypage_availability">
							<?php echo JHTML::image(JURI::root().'templates/'.$template.'/html/com_virtuemart/_images/availability/'.$lang->get('tag').'/'.VmConfig::get('rised_availability', '7d.gif'), VmConfig::get('rised_availability', '7d.gif'), array('class' => 'availability')); ?>
						</div>
						<?php else : ?>
						<div class="levent_flypage_availability">
							<?php echo JHTML::image(JURI::root().'templates/'.$template.'/html/com_virtuemart/_images/availability/'.$lang->get('tag').'/'.$this->product->product_availability, $this->product->product_availability, array('class' => 'availability')); ?>
						</div>
					<?php endif;
				endif;
				
				//::>	PRODUCT PACKAGING
				$product_packaging = '';
				if ($this->product->packaging || $this->product->box)	: ?>
					<div class="levent_flypage_packaging">
						<?php
						if ($this->product->packaging) {
							$product_packaging .= JText::_('COM_VIRTUEMART_PRODUCT_PACKAGING1').$this->product->packaging;
							if ($this->product->box) $product_packaging .= '<br />';
						}
						if ($this->product->box) $product_packaging .= JText::_('COM_VIRTUEMART_PRODUCT_PACKAGING2').$this->product->box;
						echo str_replace("{unit}",$this->product->product_unit ? $this->product->product_unit : JText::_('COM_VIRTUEMART_PRODUCT_FORM_UNIT_DEFAULT'), $product_packaging); ?>
					</div>
					<?php
				endif;
				
				$langTag	=	JFactory::getLanguage();
				$langTag	=	str_replace('-', '_', $langTag->getTag() );
				$actualPage	=	JURI::getInstance()->toString();

				if( $levThemeParameter["showFacebookIconOnFlypage"] == 1 ): ?>
					<div id="fb-root"></div>
					<script>
						(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) return;
						  js = d.createElement(s); js.id = id;
						  js.src = "//connect.facebook.net/<?php echo $langTag; ?>/all.js#xfbml=1";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, 'script', 'facebook-jssdk'));
					</script>
					
					<div class="levVmFlyFacebookBox">
						<div class="fb-like" data-href="<?php echo str_replace('&', '&amp;', $actualPage ); ?>" data-send="false" data-layout="button_count" data-width="160" data-show-faces="false" data-action="recommend"></div>
					</div>
					
					<div class="lev_clear"></div>
				<?php endif; ?>
				<div class="lev_clear"></div>
			</div>
		</div>

		<div id="levent_flypage_tabs">
			<ul class="levent_flypage_tabs_list">
				<?php	//::>	PRODUCT DESCRIPTION	?>
				<?php if( !empty($this->product->product_desc) )	: ?>
					<li><a href="#tabs-1"><?php echo JText::_('COM_VIRTUEMART_PRODUCT_DESC_TITLE'); ?></a></li>
				<?php endif; ?>
				
				<?php	//::>	CUSTOMER REVIEWS	?>
				<?php if( $this->allowRating || $this->showReview )	: ?>
					<li><a href="#tabs-2"><?php echo JText::_('COM_VIRTUEMART_REVIEWS'); ?></a></li>
				<?php endif; ?>
				
				<?php	//::>	RELATED PRODUCTS	?>
				<?php if( !empty($this->product->customfieldsRelatedProducts) )	: ?>
					<li><a href="#tabs-3"><?php echo JText::_('COM_VIRTUEMART_RELATED_PRODUCTS'); ?></a></li>
				<?php endif; ?>
		
				<?php	//::>	RELATED CATEGORIES	?>
				<?php if (!empty($this->product->customfieldsRelatedCategories))	: ?>
					<li><a href="#tabs-4"><?php echo JText::_('COM_VIRTUEMART_RELATED_CATEGORIES'); ?></a></li>
				<?php endif; ?>
				
				<?php	//::>	ASK A QUESTION / CONTACT	?>
				<?php if( VmConfig::get('ask_question', 1) )	:	?>
					<li><a href="#tabs-5"><?php echo JText::_('COM_VIRTUEMART_PRODUCT_ASK_QUESTION'); ?></a></li>
				<?php endif; ?>
			</ul>
			
			<?php
			//::>	PRODUCT DESCRIPTION
			if( !empty($this->product->product_desc) )	: ?>
				<div id="tabs-1">
					<div class="levent_flypage_tabs_productdesc">
						<?php echo $this->product->product_desc; ?>
						
						<?php
						//::>	CUSTOM FIELDS
						if (!empty($this->product->customfields)) { ?>
							<div class="levent_vm_flypage_customfields">	
								<div class="product-fields">
									<?php
									$custom_title = null ;
									
				
									foreach ($this->product->customfields as $field)	{	?>
										<div class="product-field product-field-type-<?php echo $field->field_type ?>">
											<?php if ($field->custom_title != $custom_title) { ?>
												<span class="product-fields-title" ><?php echo JText::_($field->custom_title); ?></span>
												<?php if ($field->custom_tip)
													echo JHTML::tooltip($field->custom_tip,  JText::_($field->custom_title), 'tooltip.png');
											} ?>
											<div class="lev_clear"></div>
											
											<span class="product-field-display"><?php echo $field->display ?></span>
											<span class="product-field-desc"><?php echo jText::_($field->custom_field_desc) ?></span>
										</div>
										<?php
										$custom_title = $field->custom_title;
									} ?>
									
									<div class="lev_clear"></div>
								</div>
							</div>
							<?php
						}	?>
					</div>
				</div>
			<?php endif;
			
			//::>	CUSTOMER REVIEWS
			if($this->allowRating || $this->showReview)	:
				$maxrating = VmConfig::get('vm_maximum_rating_scale',5);
				$ratingsShow = VmConfig::get('vm_num_ratings_show',3); // TODO add  vm_num_ratings_show in vmConfig
				//$starsPath = JURI::root().VmConfig::get('assets_general_path').'images/stars/';
				$stars = array();
				$showall = JRequest::getBool('showall', false);
		
				for ($num=0 ; $num <= $maxrating; $num++  )	{
					$title = (JText::_("COM_VIRTUEMART_RATING_TITLE") . $num . '/' . $maxrating) ;
					$stars[] = '<span class="vmicon vm2-stars'.$num.'" title="'.$title.'"></span>';
				}
				?>
				<div id="tabs-2">
					<div class="levent_flypage_tabs_reviews">
						<form method="post" action="<?php echo JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$this->product->virtuemart_product_id.'&virtuemart_category_id='.$this->product->virtuemart_category_id) ; ?>" name="reviewForm" id="reviewform">
							<?php
							if($this->showReview)	{
								$alreadycommented = false;
								?>
		
								<div class="list-reviews">
									<?php
									$i=0;
									foreach($this->rating_reviews as $review )	:
										if ($i % 2 == 0) {
						   					$color = 'normal';
										} else {
											$color = 'highlight';
										}
										
										/* Check if user already commented */
										//				if ($review->virtuemart_userid == $this->user->id) {
										//					$alreadycommented = true;
										//				} ?>
				
										<?php // Loop through all reviews
										if (!empty($this->rating_reviews)) { ?>
											<div class="levent_vm_review <?php echo $color ?>">
												<blockquote class="levent_vm_review_comment">
													<div class="levent_vm_review_posted">
														<?php echo $review->customer ?> - 
														<?php echo JHTML::date($review->created_on, JText::_('DATE_FORMAT_LC')); ?>
                                                    </div>
													<p><?php echo $review->comment; ?></p>
                                                </blockquote>
											</div>
											<?php
										}
										$i++ ;
										if ( $i == $ratingsShow && !$showall) break;
									endforeach;
				
									if (count($this->rating_reviews) < 1) {
										// "There are no reviews for this product" ?>
										<span class="step"><?php echo JText::_('COM_VIRTUEMART_NO_REVIEWS') ?></span>
										<?php
									}	else	{
											/* Show all reviews */
											if (!$showall && count($this->rating_reviews) >= $ratingsShow ) {
												$attribute = array('class'=>'details', 'title'=>JText::_('COM_VIRTUEMART_MORE_REVIEWS'));
												echo JHTML::link($this->more_reviews, JText::_('COM_VIRTUEMART_MORE_REVIEWS'),$attribute);
											}
									}
									?>
									<div class="lev_clear"></div>
								</div>
		
								<?php
								//::>	ENTER REVIEW
								if($this->allowReview && !$alreadycommented) { ?>
									<div class="write-reviews">
										<?php // Show Review Length While Your Are Writing
										$reviewJavascript = "
										function check_reviewform() {
											var form = document.getElementById('reviewform');
							
											var ausgewaehlt = false;
											for (var i=0; i<form.user_rating.length; i++)
												if (form.user_rating[i].checked)
													ausgewaehlt = true;
												if (!ausgewaehlt)  {
													alert('".JText::_('COM_VIRTUEMART_REVIEW_ERR_RATE',false)."');
													return false;
												}
												else if (form.comment.value.length < ". VmConfig::get('reviews_minimum_comment_length', 100).") {
													alert('". addslashes( JText::sprintf('COM_VIRTUEMART_REVIEW_ERR_COMMENT1_JS', VmConfig::get('reviews_minimum_comment_length', 100)) )."');
													return false;
												}
												else if (form.comment.value.length > ". VmConfig::get('reviews_maximum_comment_length', 2000).") {
													alert('". addslashes( JText::sprintf('COM_VIRTUEMART_REVIEW_ERR_COMMENT2_JS', VmConfig::get('reviews_maximum_comment_length', 2000)) )."');
													return false;
												}
												else {
													return true;
												}
											}
							
											function refresh_counter() {
												var form = document.getElementById('reviewform');
												form.counter.value= form.comment.value.length;
											}";
				
										$document->addScriptDeclaration($reviewJavascript);
								
										if($this->showRating)	{
											if($this->allowRating)	{	?>
												<h4><?php echo JText::_('COM_VIRTUEMART_WRITE_REVIEW')  ?><span><?php echo JText::_('COM_VIRTUEMART_WRITE_FIRST_REVIEW') ?></span></h4>
												<span class="step"><?php echo JText::_('COM_VIRTUEMART_RATING_FIRST_RATE') ?></span>
												<ul class="rating">
													<?php // Print The Rating Stars + Checkboxes
													for ($num=0 ; $num<=$maxrating;  $num++ ) { ?>
														<li id="<?php echo $num ?>_stars" class="<?php echo $num ?>_stars">
															<?php
															if ($num == 5) {
																$selected = ' checked="checked"';
															}	else	{
																	$selected = '';
															}
															?>
															<input<?php echo $selected ?> id="vote<?php echo $num ?>" type="radio" value="<?php echo $num ?>" name="vote">
                                                            <label for="vote<?php echo $num ?>"><?php echo $stars[ $num ]; ?></label>
														</li>
														<?php
													}	?>
                                                    <div class="lev_clear"></div>
												</ul>
												<?php
											}
										}
										?>
										<span class="step"><?php echo JText::sprintf('COM_VIRTUEMART_REVIEW_COMMENT', VmConfig::get('reviews_minimum_comment_length', 100), VmConfig::get('reviews_maximum_comment_length', 2000)); ?></span>
										<br />
										<textarea class="levent_vm_input_field virtuemart" title="<?php echo JText::_('COM_VIRTUEMART_WRITE_REVIEW') ?>" class="inputbox" id="comment" onblur="refresh_counter();" onfocus="refresh_counter();" onkeyup="refresh_counter();" name="comment" rows="5" cols="60"><?php if(!empty($this->review->comment))echo $this->review->comment; ?></textarea>
										<br />
										<span><?php echo JText::_('COM_VIRTUEMART_REVIEW_COUNT') ?>
										<input type="text" value="0" size="4" class="vm-default" name="counter" maxlength="4" readonly="readonly" />
										</span>
										<br /><br />
										<input class="levent_reviewsubmit highlight-button" type="submit" onclick="return( check_reviewform());" name="submit_review" title="<?php echo JText::_('COM_VIRTUEMART_REVIEW_SUBMIT')  ?>" value="<?php echo JText::_('COM_VIRTUEMART_REVIEW_SUBMIT')  ?>" />
                                        <div class="lev_clear"></div>
									</div>
									<?php
								}
							}
						
						if($this->allowRating || $this->showReview) {
							?>
							<input type="hidden" name="virtuemart_product_id" value="<?php echo $this->product->virtuemart_product_id; ?>" />
							<input type="hidden" name="option" value="com_virtuemart" />
							<input type="hidden" name="virtuemart_category_id" value="<?php echo JRequest::getInt('virtuemart_category_id'); ?>" />
							<input type="hidden" name="virtuemart_rating_review_id" value="0" />
							<input type="hidden" name="task" value="review" />
						</form>
							<?php
						}	?>
					</div>
				</div>	<!--	CLOSE REVIEWS-TAB-DIV	//-->
				<?php
			endif;	?>
			
			
			<?php
			//::>	RELATED PRODUCTS
			if (!empty($this->product->customfieldsRelatedProducts))	: ?>
				<div id="tabs-3">
					<div class="levent_flypage_related_products">
						<?php
						foreach ($this->product->customfieldsRelatedProducts as $field)	{ ?>
							<div class="product-field product-field-type-<?php echo $field->field_type ?>">
								<span class="product-field-display"><?php echo $field->display ?></span>
								<span class="product-field-desc"><?php echo jText::_($field->custom_field_desc) ?></span>								
							</div>
							<?php
						} ?>
						
						<div class="lev_clear"></div>
					</div>
				</div>
			<?php endif; ?>
		
		
			<?php
			//::>	RELATED CATEGORIES
			if (!empty($this->product->customfieldsRelatedCategories))	: ?>
				<div id="tabs-4">
					<div class="levent_flypage_related_categories">
						<?php foreach ($this->product->customfieldsRelatedCategories as $field){ ?>
							<div style="display:inline-block;" class="product-field product-field-type-<?php echo $field->field_type ?>">
								<span class="product-field-display"><?php echo $field->display ?></span>
								<span class="product-field-desc"><?php echo jText::_($field->custom_field_desc) ?></span>
							</div>
							<?php
						} ?>
						
						<div class="lev_clear"></div>
					</div>
				</div>
			<?php endif; ?>
			
			<?php
			//::>	ASK A QUESTION / CONTACT
			?>
			<?php if( VmConfig::get('ask_question', 1) )	:	?>
				<div id="tabs-5">
					<?php
					$src	=	JRoute::_('index.php?option=com_virtuemart&view=productdetails&task=askquestion&virtuemart_product_id='.$this->product->virtuemart_product_id.'&virtuemart_category_id='.$this->product->virtuemart_category_id.'&tmpl=component');
					?>
					<iframe class="levent_vm_flypage_iframe" src="<?php echo $src; ?>"></iframe>
				</div>
			<?php endif; ?>
		</div>	<!--	END levent_flypage_tabs	//-->

		<?php
		//::>	CHILD CATEGORIES
		if ( VmConfig::get('showCategory',1) ) {
			if ($this->category->haschildren) {
				$iCol = 1;
				$iCategory = 1;
				$categories_per_row = VmConfig::get ( 'categories_per_row', 3 );
				$category_cellwidth = ' width'.floor ( 100 / $categories_per_row );
				$verticalseparator = " vertical-separator"; ?>

				<div class="levent_flypage_childcats_wrap">	
					<?php // Start the Output
					if( !empty($this->category->children) )	:
						foreach ( $this->category->children as $category )	:
							// Show the horizontal seperator
							if( $iCol == 1 && $iCategory > $categories_per_row )	{	?>
								<div class="horizontal-separator"></div>
								<?php
							}
							
							// this is an indicator wether a row needs to be opened or not
							if( $iCol == 1 )	{	?>
								<div class="row">
									<?php
							}
							
							// Show the vertical seperator
							if ($iCategory == $categories_per_row or $iCategory % $categories_per_row == 0) {
								$show_vertical_separator = ' ';
							} else {
								$show_vertical_separator = $verticalseparator;
							}
		
							// Category Link
							$caturl = JRoute::_ ( 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=' . $category->virtuemart_category_id );
				
							// Show Category ?>
									<div class="category floatleft<?php echo $category_cellwidth . $show_vertical_separator ?>">
										<div class="levent_flypage_childcats_item">
											<h2 class="levent_flypage_childcats_head">
												<a href="<?php echo $caturl ?>" title="<?php echo $category->category_name ?>">
													<?php echo $category->category_name ?>
												</a>
											</h2>
											
											<a href="<?php echo $caturl ?>" title="<?php echo $category->category_name ?>">
												<?php
												// if ($category->ids) {
													echo $category->images[0]->displayMediaThumb("",false);
												//}
												?>
											</a>
										</div>
									</div>
							<?php
							$iCategory ++;
	
							// Do we need to close the current row now?
							if ($iCol == $categories_per_row)	{	?>									
									<div class="lev_clear"></div>
								</div>
								<?php
								$iCol = 1;
							}	else	{
									$iCol ++;
							}
						endforeach;
					endif;
				// Do we need a final closing row tag?
				if ($iCol != 1) { ?>
						<div class="lev_clear"></div>
					</div>
					<?php
				}
				?>
			</div>
			
			<div class="lev_clear"></div>
		<?php }
		}
		
		
		/*
				if($this->allowRating || $this->showReview) {	?>
							<input type="hidden" name="virtuemart_product_id" value="<?php echo $this->product->virtuemart_product_id; ?>" />
							<input type="hidden" name="option" value="com_virtuemart" />
							<input type="hidden" name="virtuemart_category_id" value="<?php echo JRequest::getInt('virtuemart_category_id'); ?>" />
							<input type="hidden" name="virtuemart_rating_review_id" value="0" />
							<input type="hidden" name="task" value="review" />
						</form>
					</div>
					<?php
				}	else	{
						echo	JText::_('COM_VIRTUEMART_REVIEW_LOGIN'); // Login to write a review!
				}
		*/
		
		
				//::>	PRODUCT FILES
				
				// foreach ($this->product->images as $fkey => $file) {
				// Todo add downloadable files again
				// if( $file->filesize > 0.5) $filesize_display = ' ('. number_format($file->filesize, 2,',','.')." MB)";
				// else $filesize_display = ' ('. number_format($file->filesize*1024, 2,',','.')." KB)";
				
				/* Show pdf in a new Window, other file types will be offered as download */
				// $target = stristr($file->file_mimetype, "pdf") ? "_blank" : "_self";
				// $link = JRoute::_('index.php?view=productdetails&task=getfile&virtuemart_media_id='.$file->virtuemart_media_id.'&virtuemart_product_id='.$this->product->virtuemart_product_id);
				// echo JHTMl::_('link', $link, $file->file_title.$filesize_display, array('target' => $target));
				// }
				?>
	</div>
</div>